Skip to main content
DELETE
/
price-points
/
{priceInUsdCents}
  curl -X DELETE \
  'https://api.appcharge.com/v1/price-points/999' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
{
  "priceInUsdCents": 999,
  "lastUpdate": "2026-03-01T10:00:00.000Z",
  "priceByCountry": [
    {
      "price": 9.99,
      "currencyCode": "USD",
      "isOverridden": false,
      "taxModel": "Excluded",
      "taxRate": 0,
      "country": "United States",
      "countryCode2": "US",
      "usdExchangeRateOnCalc": 1,
      "exchangeRateDrift": "0%"
    },
    {
      "price": 7.99,
      "currencyCode": "GBP",
      "isOverridden": false,
      "taxModel": "Included",
      "taxRate": 20,
      "country": "United Kingdom",
      "countryCode2": "GB",
      "usdExchangeRateOnCalc": 0.79,
      "exchangeRateDrift": "-1.2%"
    },
    {
      "price": 29.99,
      "currencyCode": "BRL",
      "isOverridden": true,
      "taxModel": "Excluded",
      "taxRate": 0,
      "country": "Brazil",
      "countryCode2": "BR",
      "usdExchangeRateOnCalc": 5.05,
      "exchangeRateDrift": "2.3%"
    },
    {
      "price": 8.99,
      "currencyCode": "EUR",
      "isOverridden": false,
      "taxModel": "Included",
      "taxRate": 19,
      "country": "Germany",
      "countryCode2": "DE",
      "usdExchangeRateOnCalc": 0.92,
      "exchangeRateDrift": "-0.5%"
    }
  ]
}
  curl -X DELETE \
  'https://api.appcharge.com/v1/price-points/999' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
{
  "priceInUsdCents": 999,
  "lastUpdate": "2026-03-01T10:00:00.000Z",
  "priceByCountry": [
    {
      "price": 9.99,
      "currencyCode": "USD",
      "isOverridden": false,
      "taxModel": "Excluded",
      "taxRate": 0,
      "country": "United States",
      "countryCode2": "US",
      "usdExchangeRateOnCalc": 1,
      "exchangeRateDrift": "0%"
    },
    {
      "price": 7.99,
      "currencyCode": "GBP",
      "isOverridden": false,
      "taxModel": "Included",
      "taxRate": 20,
      "country": "United Kingdom",
      "countryCode2": "GB",
      "usdExchangeRateOnCalc": 0.79,
      "exchangeRateDrift": "-1.2%"
    },
    {
      "price": 29.99,
      "currencyCode": "BRL",
      "isOverridden": true,
      "taxModel": "Excluded",
      "taxRate": 0,
      "country": "Brazil",
      "countryCode2": "BR",
      "usdExchangeRateOnCalc": 5.05,
      "exchangeRateDrift": "2.3%"
    },
    {
      "price": 8.99,
      "currencyCode": "EUR",
      "isOverridden": false,
      "taxModel": "Included",
      "taxRate": 19,
      "country": "Germany",
      "countryCode2": "DE",
      "usdExchangeRateOnCalc": 0.92,
      "exchangeRateDrift": "-0.5%"
    }
  ]
}

Path Parameters

priceInUsdCents
number
required

Base price in USD cents.

Example:

999

Response

Price point deleted successfully.

priceInUsdCents
number

Base price in USD cents.

Example:

999

lastUpdate
string<date-time>

Timestamp indicating when the price point was last updated, in UTC ISO 8601 format.

Example:

"2026-01-01T14:30:00Z"

priceByCountry
object[]

List of localized prices by country, including overrides if present.